Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# trackable.hh File Reference

Primary base class for the XFC object hierarchy. More...

`#include <sigc++/sigc++.h>`
`#include <xfc/pointer.hh>`
`#include <xfc/utfstring.hh>`

## Namespaces

- namespace Xfc

## Classes

- class Xfc::Trackable
    The primary base class for the XFC object hierarchy. More...

## Detailed Description

Primary base class for the XFC object hierarchy.

Provides Trackable, the primary base class for Xfc::Object, Xfc::G::Boxed, and Xfc::G::TypeInstance base classes. Trackable manages object memory allocation and reference counting.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3